#ifndef _DEBUG_H_
#define _DEBUG_H_
/* Pxys, debug.h
 * 
 * Copyright (C) 2001 Stephane Thiell <mbuna@undernet.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * $Id: debug.h,v 1.2 2001/10/17 21:53:11 mbuna Exp $
 */

#include "config.h" /* DEBUG or NOT */

#include <stdarg.h>

/* #define DEBUG */

/* Defines */

#define DEBUG_FILE    "debug"
#define DBLBASIC      1
#define DBLMAX        2

/* Macro */

#ifdef DEBUG
/* #define Debug debug */
#define Debug(x) debug x
#else
/* #define Debug(x, ...) ((void)0) --not supported on old gcc */
#define Debug(x)
#endif

/* Prototypes */

void debug(int level, const char *pattern, ...);
void vprint_debug(int level, const char *pattern, va_list vl);


#endif  /* _DEBUG_H_ */
