#ifndef M_PROXYCACHE_H
#define M_PROXYCACHE_H
/* Pxys - An IRC ProxyScan, m_proxycache.h
 * 
 * Copyright (C) 2001 Stephane Thiell <mbuna@undernet.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * $Id: m_proxycache.h,v 1.5 2002/07/19 13:34:20 mbuna Exp $
 */

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>

/* Structs */

typedef struct gheader_s {
   int                total;  /* number of recorded glines */
} gheader_s;

struct proxycacheItem {
   struct in_addr addr;       /* IP */
   unsigned int type;         /* Type of proxy */
   unsigned int port;         /* Port of http proxy (if any) */
   time_t expire;             /* absolute expiration time (eg. 10 days) */
};

typedef struct proxycacheItem proxycacheItem;


/* Proto types */

extern void proxycache_init(), proxycache_free();
extern void proxycache_load();
extern void proxycache_openlogfile();
extern void proxycache_close();
extern void proxycache_write(proxycacheItem *itemp);
extern void proxycache_syncfile();

extern void proxycache_insert(struct in_addr *addr, unsigned int type,
                              unsigned int port, time_t expire);
extern void proxycache_insert_new(struct in_addr *addr, unsigned int type,
                                  unsigned int port, time_t expire);
extern int proxycache_remove(struct in_addr *addr);
extern int proxycache_check(struct in_addr *addr, proxycacheItem **ocitem);


#endif  /* M_PROXYCACHE_H */
