/* pxys - An IRC ProxyScan, m_shutdown.c
 * 
 * Copyright (C) 2001, 2002 Stephane Thiell <mbuna@undernet.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * Called on shutdown.
 *
 * $Id: m_shutdown.c,v 1.8 2002/11/15 19:50:56 mbuna Exp $
 */


#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <unistd.h>
#include <stdlib.h>

#include "typedefs.h"
#include "m_cache.h"
#include "m_log.h"
#include "m_proxycache.h"
#include "m_shutdown.h"
#include "m_scanner.h"
#include "mp_listener.h"
#include "ms_globals.h"
#include "ms_network.h"

/* Defined in main.c */
extern void pxys_exit(int x);

extern long serv_current;
extern server_handle_t mSA;

int isQuitting = 0;

void
m_shutdown()
{
   if (!isQuitting) {
      isQuitting = 1;
      
      proxycache_syncfile();
      
      cache_dump(0);
      
      /* Simulate a netsplit with our uplink ;-) */
      if (serv_current > 0)
         do_squit(mSA[MyUpNum]);
   
      scanner_killall();
      
      sleep(1);
      
      /*listener_stop();*/
      pxys_exit(EXIT_SUCCESS);
   }
}



/* m_shutdown.c */
